# 开发环境配置
server:
  # 服务器的HTTP端口，默认为8080
  port: 12899
  servlet:
    # 应用的访问路径
    context-path: /
  tomcat:
    # tomcat的URI编码
    uri-encoding: UTF-8
    # 连接数满后的排队数，默认为100
    accept-count: 1000
    threads:
      # tomcat最大线程数，默认为200
      max: 800
      # Tomcat启动初始化的线程数，默认值10
      min-spare: 100


spring:
  datasource:
    type: com.alibaba.druid.pool.DruidDataSource
    driverClassName: com.mysql.cj.jdbc.Driver
    druid:
      # 主库数据源
      master:
        url: jdbc:mysql://64.201.30.46:3306/ibs?useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8&allowMultiQueries=true
        username: db2icm
        password: SZZHFZGLXT@jjj2024
      # 从库数据源
      slave:
        # 从数据源开关/默认关闭
        enabled: false
        url:
        username:
        password:
      # 初始连接数
      initialSize: 5
      # 最小连接池数量
      minIdle: 10
      # 最大连接池数量
      maxActive: 20
      # 配置获取连接等待超时的时间
      maxWait: 60000
      # 配置连接超时时间
      connectTimeout: 30000
      # 配置网络超时时间
      socketTimeout: 60000
      # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
      timeBetweenEvictionRunsMillis: 60000
      # 配置一个连接在池中最小生存的时间，单位是毫秒
      minEvictableIdleTimeMillis: 300000
      # 配置一个连接在池中最大生存的时间，单位是毫秒
      maxEvictableIdleTimeMillis: 900000
      # 配置检测连接是否有效
      validationQuery: SELECT 1 FROM DUAL
      testWhileIdle: true
      testOnBorrow: false
      testOnReturn: false
      webStatFilter:
        enabled: true
      statViewServlet:
        enabled: true
        # 设置白名单，不填则允许所有访问
        allow:
        url-pattern: /druid/*
        # 控制台管理用户名和密码
        login-username: ruoyi
        login-password: 123456
      filter:
        stat:
          enabled: true
          # 慢SQL记录
          log-slow-sql: true
          slow-sql-millis: 1000
          merge-sql: true
        wall:
          config:
            multi-statement-allow: true
  redis:
    # 地址
    host: r-df5a65a2620cc3b4.redis.rds.ops.dc-pdt-zj96596.com
    # 端口，默认为6379
    port: 6379
    # 数据库索引
    database: 0
    # 密码
    password: SZZHFZGLXT@zy2024
    # 连接超时时间
    timeout: 10s
    lettuce:
      pool:
        # 连接池中的最小空闲连接
        min-idle: 0
        # 连接池中的最大空闲连接
        max-idle: 8
        # 连接池的最大数据库连接数
        max-active: 8
        # #连接池最大阻塞等待时间（使用负值表示没有限制）
        max-wait: -1ms
# Swagger配置
swagger:
  # 是否开启swagger
  enabled: false
  # 请求前缀
  pathMapping: /

baidu:
  ak: TbATEDD6u1hx0D5yyqyf9U5PgW64CC0a
  geocoding-url: http://64.202.32.20:5001/geocoding/v3
  place-search-url: http://64.202.32.20:5001/place/v2/search

qxhy:
  url: http://64.202.32.20:5002

bi:
  url: http://64.202.32.48/bi
  sysFlag: pre

oss:
  endpoint: oss-cn-hangzhou-fssjy-d01-a.ops.dc-pdt-zj96596.com/
  accessKeyId: CrQk2SLVBIlALbBq
  accessKeySecret: c2E4X8CPikcnkxKuQauVn38DaHNPHD
  bucketName: szzh-bucket

qywx:
    address: 'http://localhost:1111'

qingtian:
  ip: http://64.202.32.20:8000